Subject: Re: bug#10643: BUG REPORT libtool-2.4.2 Solaris 10 64bit - Update

From: Bob Friesenhahn <[email-masked]>
Date: Sun, 29 Jan 2012 17:56:40 -0600 (CST)

On Sun, 29 Jan 2012, JONES, BILL wrote:

> The scripts are setting LD_LIBRARY_PATH which is not used when LD_LIBRARY_PATH_64 is set.
> Under 64bit implementations, LD_LIBRARY_PATH_64 also needs to be set, or needs to be set INSTEAD.

>From what I understand, you have LD_LIBRARY_PATH_64 set in your own 
environment and libtool's wrapper script is extending and exporting 
LD_LIBRARY_PATH.  LD_LIBRARY_PATH would normally work but it is 
ignored for 64-bit programs if LD_LIBRARY_PATH_64 is already set.

Is this a correct understanding?

Bob

>
> Robert W. Jones (Bill)
> PMTS AT&T
>
> ________________________________________
> From: gfpmtipb GFP IP App ID [[email-masked]]
> Sent: Sunday, January 29, 2012 12:54 PM
> To: [email-masked]; JONES, BILL
> Subject: BUG REPORT libtool-2.4.2 Solaris 10 64bit
>
> Please reply to [email-masked].
>
> This is libtool-2.4.2 compiled on Solaris 10 in 64bit.
>
> For tests where the environment is reset, the system is loosing the location of my 64bit libraries.
> All are -exec.test failures.
>
> Are these failures of the "Test Senario" or failures of libtool?
>
> LDFLAGS and LD_LIBRARY_64 are set, but exec forgets them.
>
> Log starts here:
> ======================================================================================================================
> =========================================
>   GNU Libtool 2.4.2: ./test-suite.log
> =========================================
>
> 21 of 114 tests failed.  (10 tests were not run).
>
> .. contents:: :depth: 2
>
>
> FAIL: tests/demo-exec.test (exit: 1)
> ====================================
>
> demo-exec.test: ===  Running demo-exec.test
> demo-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> Welcome to GNU Hell!
> ld.so.1: hell: fatal: libhello.so.2: open failed: No such file or directory
> demo-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-exec.test: cannot execute tests/demo/hell
> demo-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-exec.test as the superuser.
> ld.so.1: helldl: fatal: libhello.so.2: open failed: No such file or directory
> demo-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-exec.test: cannot execute tests/demo/helldl
>
> FAIL: tests/demo-deplibs.test (exit: 1)
> =======================================
>
> demo-deplibs.test: ===  Running demo-deplibs.test
> linking a shared library against a static library
> demo-deplibs.test: ===  Running `make deplibs-check' in demo
> /bin/bash ./libtool --tag=CC   --mode=compile gcc -DPACKAGE_NAME=\"demo\" -DPACKAGE_TARNAME=\"demo\" -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"demo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\" -DPACKAGE=\"demo\" -DVERSION=\"1.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -I. -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo  -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/../..   -m64 -I/appl/gfpip/local/include -I/usr/local/include -c -o hell1.lo /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/hell1.c
> libtool: compile:  gcc -DPACKAGE_NAME=\"demo\" -DPACKAGE_TARNAME=\"demo\" -DPACKAGE_VERSION=\"1.0\" "-DPACKAGE_STRING=\"demo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\" -DPACKAGE=\"demo\" -DVERSION=\"1.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -I. -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/../.. -m64 -I/appl/gfpip/local/include -I/usr/local/include -c /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/hell1.c  -fPIC -DPIC -o .libs/hell1.o
> libtool: compile:  gcc -DPACKAGE_NAME=\"demo\" -DPACKAGE_TARNAME=\"demo\" -DPACKAGE_VERSION=\"1.0\" "-DPACKAGE_STRING=\"demo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\" -DPACKAGE=\"demo\" -DVERSION=\"1.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -I. -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/../.. -m64 -I/appl/gfpip/local/include -I/usr/local/include -c /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/hell1.c -o hell1.o >/dev/null 2>&1
> rm -f libhell0.a
> ar cru libhell0.a  hello.o foo.o
> ranlib libhell0.a
> /bin/bash ./libtool --tag=CC   --mode=link gcc  -m64 -I/appl/gfpip/local/include -I/usr/local/include -no-undefined -rpath /appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-demo/lib -m64 -R/appl/gfpip/local/lib/sparcv9 -R /usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9  -o libhell1.la  hell1.lo -L. -lhell0
> libtool: link: gcc -shared  -fPIC -DPIC -Wl,-z -Wl,text -Wl,-h -Wl,libhell1.so.0 -o .libs/libhell1.so.0.0.0  .libs/hell1.o   -R/appl/gfpip/local/lib/sparcv9 -R/usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9 -L. -lhell0 -lc  -m64 -m64
> libtool: link: (cd ".libs" && rm -f "libhell1.so.0" && ln -s "libhell1.so.0.0.0" "libhell1.so.0")
> libtool: link: (cd ".libs" && rm -f "libhell1.so" && ln -s "libhell1.so.0.0.0" "libhell1.so")
> libtool: link: ar cru .libs/libhell1.a  hell1.o
> libtool: link: ranlib .libs/libhell1.a
> libtool: link: ( cd ".libs" && rm -f "libhell1.la" && ln -s "../libhell1.la" "libhell1.la" )
> /bin/bash ./libtool --tag=CC   --mode=compile gcc -DPACKAGE_NAME=\"demo\" -DPACKAGE_TARNAME=\"demo\" -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"demo\ 1.0\" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\" -DPACKAGE=\"demo\" -DVERSION=\"1.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -I. -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo  -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/../..   -m64 -I/appl/gfpip/local/include -I/usr/local/include -c -o hell2.lo /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/hell2.c
> libtool: compile:  gcc -DPACKAGE_NAME=\"demo\" -DPACKAGE_TARNAME=\"demo\" -DPACKAGE_VERSION=\"1.0\" "-DPACKAGE_STRING=\"demo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\" -DPACKAGE=\"demo\" -DVERSION=\"1.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -I. -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/../.. -m64 -I/appl/gfpip/local/include -I/usr/local/include -c /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/hell2.c  -fPIC -DPIC -o .libs/hell2.o
> libtool: compile:  gcc -DPACKAGE_NAME=\"demo\" -DPACKAGE_TARNAME=\"demo\" -DPACKAGE_VERSION=\"1.0\" "-DPACKAGE_STRING=\"demo 1.0\"" -DPACKAGE_BUGREPORT=\"[email-masked]\" -DPACKAGE_URL=\"\" -DPACKAGE=\"demo\" -DVERSION=\"1.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -I. -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo -I/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/../.. -m64 -I/appl/gfpip/local/include -I/usr/local/include -c /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo/hell2.c -o hell2.o >/dev/null 2>&1
> /bin/bash ./libtool --tag=CC   --mode=link gcc  -m64 -I/appl/gfpip/local/include -I/usr/local/include -no-undefined -rpath /appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-demo/lib -m64 -R/appl/gfpip/local/lib/sparcv9 -R /usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9  -o libhell2.la  hell2.lo -L. -lhell0
> libtool: link: gcc -shared  -fPIC -DPIC -Wl,-z -Wl,text -Wl,-h -Wl,libhell2.so.0 -o .libs/libhell2.so.0.0.0  .libs/hell2.o   -R/appl/gfpip/local/lib/sparcv9 -R/usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9 -L. -lhell0 -lc  -m64 -m64
> libtool: link: (cd ".libs" && rm -f "libhell2.so.0" && ln -s "libhell2.so.0.0.0" "libhell2.so.0")
> libtool: link: (cd ".libs" && rm -f "libhell2.so" && ln -s "libhell2.so.0.0.0" "libhell2.so")
> libtool: link: ar cru .libs/libhell2.a  hell2.o
> libtool: link: ranlib .libs/libhell2.a
> libtool: link: ( cd ".libs" && rm -f "libhell2.la" && ln -s "../libhell2.la" "libhell2.la" )
> /bin/bash ./libtool --tag=CC   --mode=link gcc  -m64 -I/appl/gfpip/local/include -I/usr/local/include  -m64 -R/appl/gfpip/local/lib/sparcv9 -R /usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9  -o hell0 main.o libhell1.la libhell2.la -lm
> libtool: link: gcc -m64 -I/appl/gfpip/local/include -I/usr/local/include -m64 -o .libs/hell0 main.o  -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9 ./.libs/libhell1.so -L. ./.libs/libhell2.so -lhell0 -lm -R/appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-demo/lib -R/appl/gfpip/local/lib/sparcv9 -R/usr/local/lib/sparcv9
> demo-deplibs.test: ===  Executing uninstalled programs in demo
> ld.so.1: hell0: fatal: libhell1.so.0: open failed: No such file or directory
> Killed
> demo-deplibs.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-deplibs.test: cannot execute ./hell0
> check your deplibs_check_method
> demo-deplibs.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-deplibs.test as the superuser.
>
> FAIL: tests/depdemo-exec.test (exit: 1)
> =======================================
>
> depdemo-exec.test: ===  Running depdemo-exec.test
> depdemo-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> dependencies:
> l1 (0)
> l2 (0)
> l1 (1)
> l4 (0)
> l3 (0)
>  l1 (2)
>  l2 (2)
>   l1 (3)
> libm [sin(1.5) = 0.997495]
> var_l1(4) + var_l2(6) + var_l4(10) == 20
> ld.so.1: depdemo: fatal: libl1.so.0: open failed: No such file or directory
> Killed
> depdemo-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/depdemo-exec.test: cannot execute tests/depdemo/depdemo
> depdemo-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/depdemo-exec.test as the superuser.
>
> FAIL: tests/mdemo-exec.test (exit: 1)
> =====================================
>
> mdemo-exec.test: ===  Running mdemo-exec.test
> mdemo-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> try_iterate: tests/mdemo/libfoo2
> try_iterate: tests/mdemo/libfoo2
> ld.so.1: mdemo: fatal: libsub.so.0: open failed: No such file or directory
> mdemo-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/mdemo-exec.test: cannot execute tests/mdemo/mdemo tests/mdemo/foo1.la tests/mdemo/libfoo2.la
> mdemo-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/mdemo-exec.test as the superuser.
> Welcome to GNU libtool mdemo!
> module name: foo1
> module filename: foo1.a
> module reference count: 1
> ** This is foolib 1 **
> hello returned: 57616
> hello is ok!
> cos (0.0) = 1
> sub() called
> foo1 is ok!
> module name: foo1
> module filename: foo1.a
> module reference count: 1
> ** This is foolib 1 **
> hello returned: 57616
> hello is ok!
> cos (0.0) = 1
> sub() called
> foo1 is ok!
> module name: libfoo2
> module filename: libfoo2.a
> module reference count: 1
> ** This is foolib 2 **
> hello returned: 57616
> hello is ok!
> sin (0.0) = 0
> sub() called
> foo2 is ok!
> module name: libfoo2
> module filename: libfoo2.a
> module reference count: 1
> ** This is foolib 2 **
> hello returned: 57616
> hello is ok!
> sin (0.0) = 0
> sub() called
> foo2 is ok!
> myfunc returned: 57616
> myfunc is ok!
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/Makefile
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/config
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/foo1
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/foo2
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libfoo2
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libmlib
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libsub
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libtool
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/main
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/mdemo
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/mdemo_static
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/mlib
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/sub
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/Makefile
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/config
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/foo1
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/foo2
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libfoo2
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libmlib
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libsub
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libtool
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/main
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/mdemo
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/mdemo_static
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/mlib
> try_iterate: /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/sub
> ld.so.1: mdemo: fatal: libsub.so.0: open failed: No such file or directory
> Killed
> mdemo-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/mdemo-exec.test: cannot execute tests/mdemo/mdemo /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/foo1.la /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libfoo2.la
>
> FAIL: tests/mdemo2-exec.test (exit: 1)
> ======================================
>
> mdemo2-exec.test: ===  Running mdemo2-exec.test
> mdemo2-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> Welcome to GNU libtool mdemo2!
> module name: foo1
> module filename: foo1.a
> module reference count: 1
> ** This is foolib 1 **
> hello returned: 57616
> hello is ok!
> cos (0.0) = 1
> sub() called
> foo1 is ok!
> module name: libfoo2
> module filename: libfoo2.a
> module reference count: 1
> ** This is foolib 2 **
> hello returned: 57616
> hello is ok!
> sin (0.0) = 0
> sub() called
> foo2 is ok!
> ld.so.1: mdemo2: fatal: libmlib.so.0: open failed: No such file or directory
> Killed
> mdemo2-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/mdemo2-exec.test: cannot execute tests/mdemo2/mdemo2 tests/mdemo/foo1.la tests/mdemo/libfoo2.la
> mdemo2-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/mdemo2-exec.test as the superuser.
>
> FAIL: tests/pdemo-exec.test (exit: 1)
> =====================================
>
> pdemo-exec.test: ===  Running pdemo-exec.test
> pdemo-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> Welcome to GNU Hell!
> ld.so.1: hell: fatal: libhello.so.2: open failed: No such file or directory
> pdemo-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/pdemo-exec.test: cannot execute tests/pdemo/hell
> pdemo-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/pdemo-exec.test as the superuser.
> ld.so.1: helldl: fatal: libhello.so.2: open failed: No such file or directory
> pdemo-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/pdemo-exec.test: cannot execute tests/pdemo/helldl
>
> FAIL: tests/demo-nofast-exec.test (exit: 1)
> ===========================================
>
> demo-nofast-exec.test: ===  Running demo-nofast-exec.test
> demo-nofast-exec.test: ===  Running demo-nofast-exec.test
> demo-nofast-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> Welcome to GNU Hell!
> ld.so.1: hell: fatal: libhello.so.2: open failed: No such file or directory
> demo-nofast-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-nofast-exec.test: cannot execute tests/demo/hell
> demo-nofast-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-nofast-exec.test as the superuser.
> ld.so.1: helldl: fatal: libhello.so.2: open failed: No such file or directory
> demo-nofast-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-nofast-exec.test: cannot execute tests/demo/helldl
>
> FAIL: tests/depdemo-nofast-exec.test (exit: 1)
> ==============================================
>
> depdemo-nofast-exec.test: ===  Running depdemo-nofast-exec.test
> depdemo-nofast-exec.test: ===  Running depdemo-nofast-exec.test
> depdemo-nofast-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> dependencies:
> l1 (0)
> l2 (0)
> l1 (1)
> l4 (0)
> l3 (0)
>  l1 (2)
>  l2 (2)
>   l1 (3)
> libm [sin(1.5) = 0.997495]
> var_l1(4) + var_l2(6) + var_l4(10) == 20
> ld.so.1: depdemo: fatal: libl1.so.0: open failed: No such file or directory
> Killed
> depdemo-nofast-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/depdemo-nofast-exec.test: cannot execute tests/depdemo/depdemo
> depdemo-nofast-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/depdemo-nofast-exec.test as the superuser.
>
> FAIL: tests/demo-pic-exec.test (exit: 1)
> ========================================
>
> demo-pic-exec.test: ===  Running demo-pic-exec.test
> demo-pic-exec.test: ===  Running demo-pic-exec.test
> demo-pic-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> Welcome to GNU Hell!
> ld.so.1: hell: fatal: libhello.so.2: open failed: No such file or directory
> demo-pic-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-pic-exec.test: cannot execute tests/demo/hell
> demo-pic-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-pic-exec.test as the superuser.
> ld.so.1: helldl: fatal: libhello.so.2: open failed: No such file or directory
> demo-pic-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-pic-exec.test: cannot execute tests/demo/helldl
>
> SKIP: tests/demo-nopic.test (exit: 77)
> ======================================
>
> demo-nopic.test: ===  Running demo-nopic.test
> demo-nopic.test: libtool does not build non-PIC shared libs on sparc-sun-solaris2.10
>
> FAIL: tests/demo-nopic-exec.test (exit: 1)
> ==========================================
>
> demo-nopic-exec.test: ===  Running demo-nopic-exec.test
> demo-nopic-exec.test: ===  Running demo-nopic-exec.test
> demo-nopic-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> Welcome to GNU Hell!
> ld.so.1: hell: fatal: libhello.so.2: open failed: No such file or directory
> demo-nopic-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-nopic-exec.test: cannot execute tests/demo/hell
> demo-nopic-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-nopic-exec.test as the superuser.
> ld.so.1: helldl: fatal: libhello.so.2: open failed: No such file or directory
> demo-nopic-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-nopic-exec.test: cannot execute tests/demo/helldl
>
> FAIL: tests/mdemo-shared-exec.test (exit: 1)
> ============================================
>
> mdemo-shared-exec.test: ===  Running mdemo-shared-exec.test
> mdemo-shared-exec.test: ===  Running mdemo-shared-exec.test
> mdemo-shared-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> ld.so.1: mdemo_static: fatal: libsub.so.0: open failed: No such file or directory
> mdemo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/mdemo-shared-exec.test: cannot execute tests/mdemo/mdemo_static tests/mdemo/foo1.la tests/mdemo/libfoo2.la
> mdemo-shared-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/mdemo-shared-exec.test as the superuser.
> ld.so.1: mdemo: fatal: libsub.so.0: open failed: No such file or directory
> mdemo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/mdemo-shared-exec.test: cannot execute tests/mdemo/mdemo tests/mdemo/foo1.la tests/mdemo/libfoo2.la
> ld.so.1: mdemo_static: fatal: libsub.so.0: open failed: No such file or directory
> Killed
> mdemo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/mdemo-shared-exec.test: cannot execute tests/mdemo/mdemo_static /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/foo1.la /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libfoo2.la
> ld.so.1: mdemo: fatal: libsub.so.0: open failed: No such file or directory
> Killed
> mdemo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/mdemo-shared-exec.test: cannot execute tests/mdemo/mdemo /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/foo1.la /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/mdemo/libfoo2.la
>
> FAIL: tests/tagdemo-exec.test (exit: 1)
> =======================================
>
> tagdemo-exec.test: ===  Running tagdemo-exec.test
> tagdemo-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> ld.so.1: tagdemo: fatal: libbaz.so.0: open failed: No such file or directory
> Killed
> tagdemo-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/tagdemo-exec.test: cannot execute tests/tagdemo/tagdemo
> tagdemo-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/tagdemo-exec.test as the superuser.
>
> FAIL: tests/tagdemo-shared-exec.test (exit: 1)
> ==============================================
>
> tagdemo-shared-exec.test: ===  Running tagdemo-shared-exec.test
> tagdemo-shared-exec.test: ===  Running tagdemo-shared-exec.test
> tagdemo-shared-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> ld.so.1: tagdemo: fatal: libbaz.so.0: open failed: No such file or directory
> Killed
> tagdemo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/tagdemo-shared-exec.test: cannot execute tests/tagdemo/tagdemo
> tagdemo-shared-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/tagdemo-shared-exec.test as the superuser.
>
> FAIL: tests/tagdemo-undef-exec.test (exit: 1)
> =============================================
>
> tagdemo-undef-exec.test: ===  Running tagdemo-undef-exec.test
> tagdemo-undef-exec.test: ===  Running tagdemo-undef-exec.test
> tagdemo-undef-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> ld.so.1: tagdemo: fatal: libbaz.so.0: open failed: No such file or directory
> Killed
> tagdemo-undef-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/tagdemo-undef-exec.test: cannot execute tests/tagdemo/tagdemo
> tagdemo-undef-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/tagdemo-undef-exec.test as the superuser.
>
> SKIP: tests/fcdemo-static.test (exit: 77)
> =========================================
>
> fcdemo-static.test: ===  Running fcdemo-static.test
> fcdemo-static.test: ===  Configuring in fcdemo
> fcdemo-static.test: ===  /bin/bash /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo/configure --srcdir=/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo --prefix=/appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-fcdemo --disable-shared
> checking for a BSD-compatible install... /appl/gfpip/local/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /appl/gfpip/local/bin/mkdir -p
> checking for gawk... no
> checking for mawk... no
> checking for nawk... nawk
> checking whether make sets $(MAKE)... yes
> checking for gcc... gcc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking for style of include used by make... GNU
> checking dependency style of gcc... gcc3
> checking whether we are using the GNU Fortran compiler... yes
> checking whether g77 accepts -g... yes
> checking how to get verbose linking output from g77... -v
> checking for Fortran libraries of g77...  -R/appl/gfpip/local/lib/sparcv9 -R/usr/local/lib/sparcv9 -L/usr/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/sparcv9 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/../../../../sparc-sun-solaris2.10/lib -L/usr/ccs/bin/sparcv9 -L/usr/ccs/bin -L/usr/ccs/lib/sparcv9 -L/usr/ccs/lib -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/../../../sparcv9 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/../../.. -L/lib/sparcv9 -lfrtbegin -lg2c -lm
> checking for dummy main to link with Fortran libraries... none
> checking for Fortran name-mangling scheme... lower case, underscore, extra underscore
> checking for Fortran flag to compile .f90 files... unknown
> configure: error: Fortran could not compile .f90 files
> fcdemo-static.test: ===  FAILED: Configuring in /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo
> total 620
> -rw-rw---- 1 gfp-ip gfpipusr    715 Oct  9 21:45 fprogram.f90
> -rw-rw---- 1 gfp-ip gfpipusr    367 Oct  9 21:45 foof3.f90
> -rw-rw---- 1 gfp-ip gfpipusr    367 Oct  9 21:45 foof2.f90
> -rw-rw---- 1 gfp-ip gfpipusr    341 Oct  9 21:45 foof.f90
> -rw-rw---- 1 gfp-ip gfpipusr   1228 Oct  9 21:45 fooc.c
> -rw-rw---- 1 gfp-ip gfpipusr   1671 Oct  9 21:45 foo.h
> -rw-rw---- 1 gfp-ip gfpipusr   1543 Oct  9 21:45 cprogram.c
> -rw-rw---- 1 gfp-ip gfpipusr   2448 Oct  9 21:45 configure.ac
> -rw-rw---- 1 gfp-ip gfpipusr    418 Oct  9 21:45 README
> -rw-rw---- 1 gfp-ip gfpipusr   2401 Oct  9 21:45 Makefile.am
> -rw-rw---- 1 gfp-ip gfpipusr  34829 Oct 17 10:21 aclocal.m4
> -rw-rw---- 1 gfp-ip gfpipusr  27286 Oct 17 10:21 Makefile.in
> -rwxrwx--- 1 gfp-ip gfpipusr 550794 Oct 17 10:21 configure
> -rw-rw---- 1 gfp-ip gfpipusr   2071 Oct 17 10:22 config-h.in
> fcdemo-static.test: The FC fortran tests do not work with Fortran 77 compilers
>
> SKIP: tests/fcdemo-static-make.test (exit: 77)
> ==============================================
>
> fcdemo-static-make.test: ===  Running fcdemo-static-make.test
> fcdemo-static-make.test: ===  Running fcdemo-static-make.test
> fcdemo-static-make.test: You must run fcdemo-conf.test before running /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo-static-make.test
>
> SKIP: tests/fcdemo-static-exec.test (exit: 77)
> ==============================================
>
> fcdemo-static-exec.test: ===  Running fcdemo-static-exec.test
> fcdemo-static-exec.test: ===  Running fcdemo-static-exec.test
> fcdemo-static-exec.test: You must run fcdemo-make.test before running /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo-static-exec.test
>
> SKIP: tests/fcdemo-conf.test (exit: 77)
> =======================================
>
> fcdemo-conf.test: ===  Running fcdemo-conf.test
> fcdemo-conf.test: ===  Configuring in fcdemo
> fcdemo-conf.test: ===  /bin/bash /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo/configure --srcdir=/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo --prefix=/appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-fcdemo
> checking for a BSD-compatible install... /appl/gfpip/local/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /appl/gfpip/local/bin/mkdir -p
> checking for gawk... no
> checking for mawk... no
> checking for nawk... nawk
> checking whether make sets $(MAKE)... yes
> checking for gcc... gcc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking for style of include used by make... GNU
> checking dependency style of gcc... gcc3
> checking whether we are using the GNU Fortran compiler... yes
> checking whether g77 accepts -g... yes
> checking how to get verbose linking output from g77... -v
> checking for Fortran libraries of g77...  -R/appl/gfpip/local/lib/sparcv9 -R/usr/local/lib/sparcv9 -L/usr/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/sparcv9 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/../../../../sparc-sun-solaris2.10/lib -L/usr/ccs/bin/sparcv9 -L/usr/ccs/bin -L/usr/ccs/lib/sparcv9 -L/usr/ccs/lib -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/../../../sparcv9 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/../../.. -L/lib/sparcv9 -lfrtbegin -lg2c -lm
> checking for dummy main to link with Fortran libraries... none
> checking for Fortran name-mangling scheme... lower case, underscore, extra underscore
> checking for Fortran flag to compile .f90 files... unknown
> configure: error: Fortran could not compile .f90 files
> fcdemo-conf.test: ===  FAILED: Configuring in /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo
> total 620
> -rw-rw---- 1 gfp-ip gfpipusr    715 Oct  9 21:45 fprogram.f90
> -rw-rw---- 1 gfp-ip gfpipusr    367 Oct  9 21:45 foof3.f90
> -rw-rw---- 1 gfp-ip gfpipusr    367 Oct  9 21:45 foof2.f90
> -rw-rw---- 1 gfp-ip gfpipusr    341 Oct  9 21:45 foof.f90
> -rw-rw---- 1 gfp-ip gfpipusr   1228 Oct  9 21:45 fooc.c
> -rw-rw---- 1 gfp-ip gfpipusr   1671 Oct  9 21:45 foo.h
> -rw-rw---- 1 gfp-ip gfpipusr   1543 Oct  9 21:45 cprogram.c
> -rw-rw---- 1 gfp-ip gfpipusr   2448 Oct  9 21:45 configure.ac
> -rw-rw---- 1 gfp-ip gfpipusr    418 Oct  9 21:45 README
> -rw-rw---- 1 gfp-ip gfpipusr   2401 Oct  9 21:45 Makefile.am
> -rw-rw---- 1 gfp-ip gfpipusr  34829 Oct 17 10:21 aclocal.m4
> -rw-rw---- 1 gfp-ip gfpipusr  27286 Oct 17 10:21 Makefile.in
> -rwxrwx--- 1 gfp-ip gfpipusr 550794 Oct 17 10:21 configure
> -rw-rw---- 1 gfp-ip gfpipusr   2071 Oct 17 10:22 config-h.in
> fcdemo-conf.test: The FC fortran tests do not work with Fortran 77 compilers
>
> SKIP: tests/fcdemo-make.test (exit: 77)
> =======================================
>
> fcdemo-make.test: ===  Running fcdemo-make.test
> fcdemo-make.test: You must run fcdemo-conf.test before running /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo-make.test
>
> SKIP: tests/fcdemo-exec.test (exit: 77)
> =======================================
>
> fcdemo-exec.test: ===  Running fcdemo-exec.test
> fcdemo-exec.test: You must run fcdemo-make.test before running /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo-exec.test
>
> SKIP: tests/fcdemo-shared.test (exit: 77)
> =========================================
>
> fcdemo-shared.test: ===  Running fcdemo-shared.test
> fcdemo-shared.test: ===  Configuring in fcdemo
> fcdemo-shared.test: ===  /bin/bash /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo/configure --srcdir=/appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo --prefix=/appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-fcdemo --disable-static
> checking for a BSD-compatible install... /appl/gfpip/local/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /appl/gfpip/local/bin/mkdir -p
> checking for gawk... no
> checking for mawk... no
> checking for nawk... nawk
> checking whether make sets $(MAKE)... yes
> checking for gcc... gcc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking for style of include used by make... GNU
> checking dependency style of gcc... gcc3
> checking whether we are using the GNU Fortran compiler... yes
> checking whether g77 accepts -g... yes
> checking how to get verbose linking output from g77... -v
> checking for Fortran libraries of g77...  -R/appl/gfpip/local/lib/sparcv9 -R/usr/local/lib/sparcv9 -L/usr/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/sparcv9 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/../../../../sparc-sun-solaris2.10/lib -L/usr/ccs/bin/sparcv9 -L/usr/ccs/bin -L/usr/ccs/lib/sparcv9 -L/usr/ccs/lib -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/../../../sparcv9 -L/usr/local/lib/gcc/sparc-sun-solaris2.10/3.4.6/../../.. -L/lib/sparcv9 -lfrtbegin -lg2c -lm
> checking for dummy main to link with Fortran libraries... none
> checking for Fortran name-mangling scheme... lower case, underscore, extra underscore
> checking for Fortran flag to compile .f90 files... unknown
> configure: error: Fortran could not compile .f90 files
> fcdemo-shared.test: ===  FAILED: Configuring in /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo
> total 620
> -rw-rw---- 1 gfp-ip gfpipusr    715 Oct  9 21:45 fprogram.f90
> -rw-rw---- 1 gfp-ip gfpipusr    367 Oct  9 21:45 foof3.f90
> -rw-rw---- 1 gfp-ip gfpipusr    367 Oct  9 21:45 foof2.f90
> -rw-rw---- 1 gfp-ip gfpipusr    341 Oct  9 21:45 foof.f90
> -rw-rw---- 1 gfp-ip gfpipusr   1228 Oct  9 21:45 fooc.c
> -rw-rw---- 1 gfp-ip gfpipusr   1671 Oct  9 21:45 foo.h
> -rw-rw---- 1 gfp-ip gfpipusr   1543 Oct  9 21:45 cprogram.c
> -rw-rw---- 1 gfp-ip gfpipusr   2448 Oct  9 21:45 configure.ac
> -rw-rw---- 1 gfp-ip gfpipusr    418 Oct  9 21:45 README
> -rw-rw---- 1 gfp-ip gfpipusr   2401 Oct  9 21:45 Makefile.am
> -rw-rw---- 1 gfp-ip gfpipusr  34829 Oct 17 10:21 aclocal.m4
> -rw-rw---- 1 gfp-ip gfpipusr  27286 Oct 17 10:21 Makefile.in
> -rwxrwx--- 1 gfp-ip gfpipusr 550794 Oct 17 10:21 configure
> -rw-rw---- 1 gfp-ip gfpipusr   2071 Oct 17 10:22 config-h.in
> fcdemo-shared.test: The FC fortran tests do not work with Fortran 77 compilers
>
> SKIP: tests/fcdemo-shared-make.test (exit: 77)
> ==============================================
>
> fcdemo-shared-make.test: ===  Running fcdemo-shared-make.test
> fcdemo-shared-make.test: ===  Running fcdemo-shared-make.test
> fcdemo-shared-make.test: You must run fcdemo-conf.test before running /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo-shared-make.test
>
> SKIP: tests/fcdemo-shared-exec.test (exit: 77)
> ==============================================
>
> fcdemo-shared-exec.test: ===  Running fcdemo-shared-exec.test
> fcdemo-shared-exec.test: ===  Running fcdemo-shared-exec.test
> fcdemo-shared-exec.test: You must run fcdemo-make.test before running /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/fcdemo-shared-exec.test
>
> FAIL: tests/demo-shared-exec.test (exit: 1)
> ===========================================
>
> demo-shared-exec.test: ===  Running demo-shared-exec.test
> demo-shared-exec.test: ===  Running demo-shared-exec.test
> demo-shared-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> ld.so.1: hell_static: fatal: libhello.so.2: open failed: No such file or directory
> demo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-shared-exec.test: cannot execute tests/demo/hell_static
> demo-shared-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-shared-exec.test as the superuser.
> ld.so.1: hell: fatal: libhello.so.2: open failed: No such file or directory
> demo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-shared-exec.test: cannot execute tests/demo/hell
> ld.so.1: helldl: fatal: libhello.so.2: open failed: No such file or directory
> demo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/demo-shared-exec.test: cannot execute tests/demo/helldl
>
> FAIL: tests/demo-hardcode.test (exit: 1)
> ========================================
>
> demo-hardcode.test: ===  Running demo-hardcode.test
> demo-hardcode.test: ===  Running `make hardcode' in demo
> You may ignore any linking errors from the following command:
> gcc -m64 -I/appl/gfpip/local/include -I/usr/local/include -m64 -R/appl/gfpip/local/lib/sparcv9 -R /usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9  -o hc-direct main.o ./.libs/libhello.so  -lm -R/appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-demo/lib || echo unsupported > hc-direct
> gcc -m64 -I/appl/gfpip/local/include -I/usr/local/include -m64 -R/appl/gfpip/local/lib/sparcv9 -R /usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9  -o hc-libflag main.o -R/appl/archives/build_tools/tools/build/libtool-2.4.2/tests/demo/.libs -L/appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-demo/lib -lhello  -lm
> You may ignore any linking errors from the following command:
> LD_LIBRARY_PATH=./.libs gcc -m64 -I/appl/gfpip/local/include -I/usr/local/include -m64 -R/appl/gfpip/local/lib/sparcv9 -R /usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9  -o hc-libpath main.o -lhello  -lm -R/appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-demo/lib || echo unsupported > hc-libpath
> ld: fatal: library -lhello: not found
> ld: fatal: File processing errors. No output written to hc-libpath
> collect2: ld returned 1 exit status
> gcc -m64 -I/appl/gfpip/local/include -I/usr/local/include -m64 -R/appl/gfpip/local/lib/sparcv9 -R /usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9  -o hc-minusL main.o -L./.libs -lhello  -lm -R/appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-demo/lib || echo unsupported > hc-minusL
> demo-hardcode.test: ===  Finding libtool.m4's guesses at hardcoding values
> = Searching for hardcoded library directories in each program
> .libs was not hardcoded in `hc-direct', as libtool expected
> .libs was hardcoded in `hc-libflag', as libtool expected
> `hc-libpath' was not linked properly, which fooled libtool
> .libs was not hardcoded in `hc-minusL', as libtool expected
>
> FAIL: tests/demo-relink.test (exit: 1)
> ======================================
>
> demo-relink.test: ===  Running demo-relink.test
> cp: cannot stat `.libs/lt-hell': No such file or directory
> Welcome to GNU Hell!
> cos (0.0) = 1
> ** This is not GNU Hello.  There is no built-in mail reader. **
> demo-relink.test: ===  removing libhello.la from demo
> demo-relink.test: ===  running demo/hell
> Welcome to GNU Hell!
> cos (0.0) = 1
> ** This is not GNU Hello.  There is no built-in mail reader. **
> demo-relink.test: ===  linking a broken demo/libhello.la
> demo-relink.test: ===  Running `make libhello.la libhello_la_OBJECTS=hello.lo' in demo
> /bin/bash ./libtool --tag=CC   --mode=link gcc  -m64 -I/appl/gfpip/local/include -I/usr/local/include -no-undefined -version-info 3:12:1 -m64 -R/appl/gfpip/local/lib/sparcv9 -R /usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9  -o libhello.la -rpath /appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-demo/lib hello.lo -lm
> libtool: link: gcc -shared  -fPIC -DPIC -Wl,-z -Wl,text -Wl,-h -Wl,libhello.so.2 -o .libs/libhello.so.2.1.12  .libs/hello.o   -R/appl/gfpip/local/lib/sparcv9 -R/usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9 -lm -lc  -m64 -m64
> libtool: link: (cd ".libs" && rm -f "libhello.so.2" && ln -s "libhello.so.2.1.12" "libhello.so.2")
> libtool: link: (cd ".libs" && rm -f "libhello.so" && ln -s "libhello.so.2.1.12" "libhello.so")
> libtool: link: ( cd ".libs" && rm -f "libhello.la" && ln -s "../libhello.la" "libhello.la" )
> demo-relink.test: ===  running demo/hell with broken libhello.la
> Welcome to GNU Hell!
> cos (0.0) = 1
> ** This is not GNU Hello.  There is no built-in mail reader. **
> demo-relink.test: ===  Exiting: demo/hell runs even though libhello.la is incomplete
> demo-relink.test: shlibpath_overrides_runpath should be set to no
>
> FAIL: tests/depdemo-shared-exec.test (exit: 1)
> ==============================================
>
> depdemo-shared-exec.test: ===  Running depdemo-shared-exec.test
> depdemo-shared-exec.test: ===  Running depdemo-shared-exec.test
> depdemo-shared-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> ld.so.1: depdemo_static: fatal: libl1.so.0: open failed: No such file or directory
> Killed
> depdemo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/depdemo-shared-exec.test: cannot execute tests/depdemo/depdemo_static
> depdemo-shared-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/depdemo-shared-exec.test as the superuser.
> ld.so.1: depdemo: fatal: libl1.so.0: open failed: No such file or directory
> Killed
> depdemo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/depdemo-shared-exec.test: cannot execute tests/depdemo/depdemo
>
> FAIL: tests/depdemo-relink.test (exit: 1)
> =========================================
>
> depdemo-relink.test: ===  Running depdemo-relink.test
> dependencies:
> l1 (0)
> l2 (0)
> l1 (1)
> l4 (0)
> l3 (0)
>  l1 (2)
>  l2 (2)
>   l1 (3)
> libm [sin(1.5) = 0.997495]
> var_l1(4) + var_l2(6) + var_l4(10) == 20
> depdemo-relink.test: ===  removing libl3.la from depdemo/l3
> depdemo-relink.test: ===  running depdemo/depdemo
> dependencies:
> l1 (0)
> l2 (0)
> l1 (1)
> l4 (0)
> l3 (0)
>  l1 (2)
>  l2 (2)
>   l1 (3)
> libm [sin(1.5) = 0.997495]
> var_l1(4) + var_l2(6) + var_l4(10) == 20
> depdemo-relink.test: ===  linking a broken depdemo/l3/libl3.la
> /bin/bash ../libtool --tag=CC   --mode=link gcc  -m64 -I/appl/gfpip/local/include -I/usr/local/include -no-undefined -m64 -R/appl/gfpip/local/lib/sparcv9 -R /usr/local/lib/sparcv9 -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9  -o libl3.la -rpath /appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-depdemo/lib ../l2/l2.lo ../l1/libl1.la ../l2/libl2.la
> libtool: link: gcc -shared  -fPIC -DPIC -Wl,-z -Wl,text -Wl,-h -Wl,libl3.so.0 -o .libs/libl3.so.0.0.0  ../l2/.libs/l2.o   -R/appl/archives/build_tools/tools/build/libtool-2.4.2/tests/depdemo/l1/.libs -R/appl/archives/build_tools/tools/build/libtool-2.4.2/tests/depdemo/l2/.libs -R/appl/archives/build_tools/tools/build/libtool-2.4.2/_inst-depdemo/lib -R/appl/gfpip/local/lib/sparcv9 -R/usr/local/lib/sparcv9 -L/appl/archives/build_tools/tools/build/libtool-2.4.2/tests/depdemo/l1/.libs -L/appl/gfpip/local/lib/sparcv9 -L/usr/local/lib/sparcv9 ../l1/.libs/libl1.so ../l2/.libs/libl2.so /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/depdemo/l1/.libs/libl1.so -lc  -m64 -m64
> ld: warning: file /appl/archives/build_tools/tools/build/libtool-2.4.2/tests/depdemo/l1/.libs/libl1.so: linked to ../l1/.libs/libl1.so: attempted multiple inclusion of file
> libtool: link: (cd ".libs" && rm -f "libl3.so.0" && ln -s "libl3.so.0.0.0" "libl3.so.0")
> libtool: link: (cd ".libs" && rm -f "libl3.so" && ln -s "libl3.so.0.0.0" "libl3.so")
> libtool: link: ( cd ".libs" && rm -f "libl3.la" && ln -s "../libl3.la" "libl3.la" )
> depdemo-relink.test: ===  running depdemo/depdemo with broken libl3.la
> dependencies:
> l1 (0)
> l2 (0)
> l1 (1)
> l4 (0)
> l3 (0)
>  l1 (2)
>  l2 (2)
>   l1 (3)
> libm [sin(1.5) = 0.997495]
> var_l1(4) + var_l2(6) + var_l4(10) == 20
> depdemo-relink.test: ===  Exiting: depdemo/depdemo runs even though libl3.la is incomplete
> depdemo-relink.test: shlibpath_overrides_runpath should be set to no
>
> FAIL: tests/f77demo-exec.test (exit: 1)
> =======================================
>
> f77demo-exec.test: ===  Running f77demo-exec.test
> f77demo-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> ld.so.1: fprogram: fatal: libfoo.so.0: open failed: No such file or directory
> Killed
> f77demo-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/f77demo-exec.test: cannot execute tests/f77demo/fprogram
> f77demo-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/f77demo-exec.test as the superuser.
> ld.so.1: cprogram: fatal: libmix.so.0: open failed: No such file or directory
> Killed
> f77demo-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/f77demo-exec.test: cannot execute tests/f77demo/cprogram
>
> FAIL: tests/f77demo-shared-exec.test (exit: 1)
> ==============================================
>
> f77demo-shared-exec.test: ===  Running f77demo-shared-exec.test
> f77demo-shared-exec.test: ===  Running f77demo-shared-exec.test
> f77demo-shared-exec.test: ===  Executing uninstalled programs in libtool-2.4.2
> ld.so.1: fprogram: fatal: libfoo.so.0: open failed: No such file or directory
> Killed
> f77demo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/f77demo-shared-exec.test: cannot execute tests/f77demo/fprogram
> f77demo-shared-exec.test: ===  You may need to run /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/f77demo-shared-exec.test as the superuser.
> ld.so.1: cprogram: fatal: libmix.so.0: open failed: No such file or directory
> Killed
> f77demo-shared-exec.test: /appl/archives/build_tools/tools/src/libtool-2.4.2/tests/f77demo-shared-exec.test: cannot execute tests/f77demo/cprogram
>
>
> _______________________________________________
> Bug-libtool mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-libtool
>

-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/